Error md5sum Flash Ubuntu 7.10 AMD64

Publicado: diciembre 16, 2007 en Ubuntu

Aquí pongo la solución al error que provoca al intentar instalar el flashplguin de adobe en firefox.

En principio al instalar a través de firefox, parece que lo instala correctamente, pero si lo intentáis instalar a través del terminal, aparece el error de la verificación de md5sum.

Después de mucho buscar por internet, he encontrado esta página.

http://ubuntuforums.org/showthread.php?t=632322&page=5

Hay esta la solución al problema, solo hay que seguir estos pasos:

Ok, here is fix for Kubuntu Gutsy amd64 flashplugin-nonfree md5-checksum error:

1. sudo apt-get install flashplugin-nonfree
2. sudo nano /var/lib/dpkg/info/flashplugin-nonfree.postinst
3. Edit:

 

Code:

# verify MD5 checksum of (copied or downloaded) tarball
rm -rf install_flash_player_9_linux/
echo "821cc72359a937caef85bb4cc74ef5cd install_flash_player_9_linux.tar.gz"| md5sum -c > /dev/null 2>&1 
|| fp_exit_with_error "md5sum mismatch install_flash_player_9_linux.tar.gz"

# unpacking and checking the plugin
tar xzf install_flash_player_9_linux.tar.gz || fp_exit_with_error "cannot unpack plugin"
echo "be5a2f9032f8fc8bccbbf5d96c5028f9 install_flash_player_9_linux/libflashplayer.so"| md5sum -c > /dev/null 2>&1 
|| fp_exit_with_error "plugin changed, not trusted"
echo "a81fd3b03b8c6d6e5a14298110718d3f install_flash_player_9_linux/flashplayer.xpt"| md5sum -c > /dev/null 2>&1 
|| fp_exit_with_error "plugin changed, not trusted"

to:

 

Code:

        # verify MD5 checksum of (copied or downloaded) tarball
        rm -rf install_flash_player_9_linux/
        echo "93b7c48eaa492237b807a3ae1de65cf9  install_flash_player_9_linux.tar.gz"| md5sum -c > /dev/null 2>&1 
                || fp_exit_with_error "md5sum mismatch install_flash_player_9_linux.tar.gz"

        # unpacking and checking the plugin
        tar xzf install_flash_player_9_linux.tar.gz || fp_exit_with_error "cannot unpack plugin"
        #echo "a81fd3b03b8c6d6e5a14298110718d3f  install_flash_player_9_linux/flashplayer.xpt"| md5sum -c > /dev/$
        #echo "13ce705df5d47422a9192b29827544e8  install_flash_player_9_linux/libflashplayer.so"| md5sum -c > /de$
        #       || fp_exit_with_error "plugin changed, not trusted"

4. sudo dpkg-reconfigure flashplugin-nonfree
5. nspluginwrapper -v -a -iUna vez que termineis estos pasos, tan solo hay que descomprimir el archivo en una carpeta y acceder a través de un terminal y ejecutar la siguiente instrucción:

“sudo linux32 ./flashplayer-installer”

Solo hay que seguir las instrucciones y se instalara correctamente. La ruta para la instalacion no es /usr/lib/mozilla es /usr/lib/firefox

Anuncios
comentarios
  1. lodopidolo dice:

    Hola, he encontrado una solución más fácil en: http://forum.ubuntuusers.de/topic/137136/?p=1106029#1106029

    Se trata de instalar directamente el paquete que funciona:

    http://launchpadlibrarian.net/10804892/flashplugin-nonfree_9.0.115.0ubuntu2_amd64.deb

    Un saludo.

  2. cgacimartin dice:

    Perfecto, solucionó mi problema, da gusto encontrarse a gente así 🙂

  3. ubuntulynx dice:

    Gracias por el enlace.

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s